This object indicates the port link status.
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.11.24.3.1.1.4
This object indicates the port link status.
Identification
{1 3 6 1 4 1 171 11 24 3 1 1 4}
| Value | Name |
|---|---|
| 1 | other |
| 2 | link-pass |
| 3 | link-fail |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In DES3225G-MIB, the row index consists of these components in order:
swPortInfoModuleIndex (INTEGER): one numeric subidentifier for the non-negative value.swPortInfoPortIndex (INTEGER): one numeric subidentifier for the non-negative value.An instance has the form .1.3.6.1.4.1.171.11.24.3.1.1.4.<swPortInfoModuleIndex>.<swPortInfoPortIndex>. Use values present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.171.11.24.3.1.1.4
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
swPortInfoLinkStatus OBJECT-TYPE
SYNTAX INTEGER {
other(1),
link-pass(2),
link-fail(3)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"This object indicates the port link status."
::= { swPortInfoEntry 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
This object indicates the port link status.
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: swPortInfoLinkStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swPortInfoLinkStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"link-pass",
"(",
"2",
")",
",",
"link-fail",
"(",
"3",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"This object indicates the port link status.\"",
"::=",
"{",
"swPortInfoEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"link-pass",
2
],
[
"link-fail",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"This object indicates the port link status."
],
null,
null,
null,
null
]
}Module: DES3225G-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES3225G-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.24.3.1.1.1 | swPortInfoModuleIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.1.1.2 | swPortInfoPortIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.1.1.3 | swPortInfoType | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.1.1.5 | swPortInfoNwayStatus | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.1.1.6 | swPortInfoFlowCtrlStatus | 0 | 0 |